Subject: Re: HTTP push

From: Nick Hengeveld <[email-masked]>
Date: Sun, 6 Nov 2005 20:31:49 -0800

On Mon, Nov 07, 2005 at 03:35:33AM +0100, Johannes Schindelin wrote:

> I played a little with git-http-push. There are some strange things going 
> on: whenever I commented out the calls to curl_multi_remove_handle() and 
> curl_multi_cleanup(), all was well. Whenever I did not, there was either a 
> segfault, or an endless loop.

http-push is a bit more aggressive than http-fetch about freeing up memory,
perhaps too aggressive...  I ran into similar issues when memory was
freed more than once.

> I will run some tests on another client with valgrind (that will wait 
> until tomorrow; it's 3.30am local time, so I head to bed).

Thanks, I'll work on memory cleanup some more.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.